Subject: ADC Requirements - recast to reflect comments

From: "Hildebrand, Jeff" <[email-masked]>
Date: Fri, 29 Apr 94 03:54:00 PDT

Well the first round of requirement's discussion is completed and I
would like to recast all what has been said into a new list.

The requirements can be broken into two pieces, base and constraints.
The Base describes what ADC must accomplish.  The Constraints
give shape to the problem and further describe what an ADC solution must
provide.

Base Requirements:

1. Allow programs to exchange data in any high-level construct,
    such as array and record data types, and at the same time, to
    preserve their meaning.

2. A mechanism (map) must exist that allows user data to be manipulated 
below the
    application to prepare it for transmission or reception.

3. The solution must appear the same to the application programmer under 
both
    LU 6.2 and OSI TP.

Constraints:

1. It needs to deal with both initialization data and regular data.

    The question of expedited data remains.  It is only an LU 6.2 need, and
    depending on the ADC solution, might or might not be able to 
accommodated.
    I did not hear much support for expedited data during the CIW 
discussion.

2. Must support a means of specifying the default mapping to use if none was 

    explicitly specified by the application.

3. The application must be able to explicitly specify what mapping to use.

4. Allow the more skilled programmer to support the least skilled programmer 
without
   having to deal with each other face to face.  The more skilled programmer
   can build ADC mechanism that a wide audience of less skilled programmers
   can 'blindly' use.

5. The mechanism must be invisible to the CPIC application programmer.

6. The ADC mechanism's only interface with the application program is to 
send/receive
    a data buffer and a MAP_NAME identifying the contents of the buffer.

7. The ADC mechanism must use a data description language, such as
    ASN.1 and NIDL.

8. The ADC mechanism must allow other user defined data manipulation, such 
as
     encryption and other security services.

I would like you to review this list and get your view and comments in the 
next 4 or 5
days.

Regards,
Jeff